(function (win) {

    var hasOwnProperty = Object.prototype.hasOwnProperty;
    var DXRiskBridge = win.DXRiskBridge || (win.DXRiskBridge = {});
    var JSBRIDGE_PROTOCOL = 'DXRiskBridge';

    var Inner = {
        callbacks: {},
        call: function (obj, method, params, callback) {
            var port = Util.getPort();
            this.callbacks[port] = callback;
            var uri=Util.getUri(obj,method,params,port);

            window.prompt(uri, "");
        },
        onFinish: function (port, jsonObj){
            var callback = this.callbacks[port];
            callback && callback(jsonObj);
            delete this.callbacks[port];
        },
    };

    var Util = {
        getPort: function () {
            return Math.floor(Math.random() * (1 << 30));
        },
        getUri:function(obj, method, params, port){
            params = this.getParam(params);
            var uri = JSBRIDGE_PROTOCOL + '://' + obj + ':' + port + '/' + method + '?' + params;
            return uri;
        },
        getParam:function(obj){
            if (obj && typeof obj === 'object') {
                return JSON.stringify(obj);
            } else {
                return obj || '';
            }
        }
    };

    for (var key in Inner) {
        if (!hasOwnProperty.call(DXRiskBridge, key)) {
            DXRiskBridge[key] = Inner[key];
        }
    }
})(window);

function DXRiskGetToken(obj, callback) {

    DXRiskBridge.call('bridge', 'getToken', {"params" : obj}, callback);

}